Storyden
Admin

Audit Event List

List audit events for the installation. Audit events track important actions taken by accounts with elevated permissions such as admin accounts and moderators. It also provides error logs for system internal components that could not be responded to the client directly such as background job failures and configuration issues.

GET
/admin/audit-events

List audit events for the installation. Audit events track important actions taken by accounts with elevated permissions such as admin accounts and moderators. It also provides error logs for system internal components that could not be responded to the client directly such as background job failures and configuration issues.

Authorization

cookiestoryden-session<token>

Query Parameters

page?string

Pagination query parameters.

types?array<>

Audit event type filter query

range?string

Audit event time range query

Formatiso8601-interval

Response Body

OK

application/json
  1. response

To be composed with paginated resource responses.

page_size*integer
results*integer
total_pages*integer
current_page*integer
next_page?integer
events*array<|||||||||||>
Example Request
curl -X GET 'https://example.com/api/admin/audit-events'
Example Response
{  "page_size": 0,  "results": 0,  "total_pages": 0,  "current_page": 0,  "next_page": 0,  "events": [    {      "id": "string",      "timestamp": "2019-08-24T14:15:22Z",      "enacted_by": {        "id": "string",        "joined": "2019-08-24T14:15:22Z",        "suspended": "2019-08-24T14:15:22Z",        "handle": "string",        "name": "string",        "signature": "string",        "roles": [          {            "badge": true,            "default": true,            "id": "string",            "name": "string",            "colour": "string",            "meta": {}          }        ]      },      "type": "thread_deleted",      "thread_id": "string"    }  ]}